> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Insights

> Get generated insights for an experiment.



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/insights
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/insights:
    get:
      tags:
        - Analytics
      summary: Get Insights
      description: Get generated insights for an experiment.
      operationId: get_insights_v1_experiments__experiment_id__insights_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/InsightResponse'
                title: >-
                  Response Get Insights V1 Experiments  Experiment Id  Insights
                  Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    InsightResponse:
      description: A generated insight.
      properties:
        computed_at:
          format: date-time
          title: Computed At
          type: string
        confidence:
          title: Confidence
          type: number
        data:
          additionalProperties: true
          title: Data
          type: object
        id:
          format: uuid
          title: Id
          type: string
        insight_type:
          title: Insight Type
          type: string
        parameters:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Parameters
        text:
          title: Text
          type: string
      required:
        - id
        - insight_type
        - parameters
        - text
        - data
        - confidence
        - computed_at
      title: InsightResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````